v1.0.0
OpenAPI 3.1.0

Add or update attributes

US region

Client Libraries

Add or update attributes

Attributes are customer data like their name and email. Use this endpoint to add new attributes or update existing attributes in your workspace. To add attributes to customers, use our Pipelines or Track APIs. NOTE: If you add new attributes, they will not appear in your Data Index until you've added it to a customer's profile.

Add descriptions for attributes so our AI tools can better understand your data. For instance, this influences how our segment builder generates conditions with AI.

If you're on a Premium plan, you can also specify whether an attribute is sensitive or not. Then Admins and Workspace Admins can decide which teammates to hide sensitive data from.

Body
required
application/json
  • attributes
    Type: array object[] 1…100
    required

    Array of attribute updates

Responses
  • 204

    Attributes updated successfully

  • application/json
  • application/json
  • 500

    Internal server error

Request Example for post/v1/data_index/attributes
curl https://api.customer.io/v1/data_index/attributes \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "attributes": [
    {
      "name": "last_active",
      "description": "The last time the user clicked something on our app after logging in.",
      "privacy_level": 0
    }
  ]
}'
No Body